/*
 * @(#)State.java
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2001 Jrg P. M. Haeger
 *
 * webCDwriter is free software. See CDcreator.java for details.
 */

class State
{
	public static int numOfFiles = 0, numOfTracks = 0;
	public static boolean stopRecount = false;
	public static final String none = "none";
	public static String
		eMail = none,
		sessionID = none,
		userID = none,
		userPassword = none;

	public static void reset()
	{
		stopRecount = false;
		eMail = none;
		userID = none;
		userPassword = none;
		resetSession();
	}

	public static void resetSession()
	{
		numOfFiles = numOfTracks = 0;
		sessionID = none;
	}
}
